Package org.zkoss.bind.proxy

## Class SetProxy<E>

- java.lang.Object
- - org.zkoss.bind.proxy.AbstractCollectionProxy<E>
  - - org.zkoss.bind.proxy.SetProxy<E>

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Iterable<E>`, `java.util.Collection<E>`, `java.util.Set<E>`, `javassist.util.proxy.Proxy`, `FormProxyObject`

      public class SetProxy<E>
      extends AbstractCollectionProxy<E>
      implements java.util.Set<E>

  This class provides a proxy implementation of the `Set` interface.
  Since:
    8.0.0
  Author:
    jumperchen
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.zkoss.bind.proxy.AbstractCollectionProxy

      `_dirty, isImmutableElements`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SetProxy​(java.util.Collection<E> origin, java.lang.annotation.Annotation[] callerAnnots)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected java.util.Collection<E>` | `initCache()` |

    - ### Methods inherited from class org.zkoss.bind.proxy.AbstractCollectionProxy

      `add, addAll, cacheSavePropertyBinding, clear, collectCachedSavePropertyBinding, contains, containsAll, createProxyObject, getCache, getOriginObject, isEmpty, isFormDirty, iterator, onDataChange, onDirtyChange, remove, removeAll, replaceOrigin, resetFromOrigin, retainAll, setDirty, setFormOwner, setHandler, setPath, size, submitToOrigin, testEquals, toArray, toArray`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Collection

      `parallelStream, removeIf, stream, toArray`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach`

    - ### Methods inherited from interface java.util.Set

      `add, addAll, clear, contains, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, size, spliterator, toArray, toArray`

- - ### Constructor Detail

    - #### SetProxy

          public SetProxy​(java.util.Collection<E> origin,
                          java.lang.annotation.Annotation[] callerAnnots)

  - ### Method Detail

    - #### initCache

          protected java.util.Collection<E> initCache()

      Specified by:
        `initCache` in class `AbstractCollectionProxy<E>`